- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QuadTurtle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 36 of file quadturtle.h.

`#include <quadturtle.h>`

List of all members.

## Public Member Functions
| QuadTurtle (const Mesh *pMesh, unsigned int iFaceIndex, unsigned int iSide=0)
bool | operator== (const QuadTurtle &q) const
unsigned int | CornerIndex (unsigned int iC) const
Vector | CornerPosition (unsigned int iC) const
unsigned int | Adjacency (unsigned int iDirection) const
bool | HasAdjacentQuad (unsigned int iDirection) const
QuadTurtle & | Step (unsigned int iDirection)
QuadTurtle & | Up (void)
QuadTurtle & | Left (void)
QuadTurtle | $Down (void)
QuadTurtle & | Right (void)
QuadTurtle & | TurnLeft (void)
QuadTurtle & | TurnRight (void)

## Constructor & Destructor Documentation

QuadTurtle | ( | const Mesh * | pMesh,
|  | unsigned int | iFaceIndex,
|  | unsigned int | iSide = `0`
| ) |  |

## Member Function Documentation

bool operator== | ( | const QuadTurtle & | q | ) | const `[inline]`

unsigned int CornerIndex | ( | unsigned int | iC | ) | const `[inline]`

Search for all occurrences

Vector CornerPosition | ( | unsigned int | iC | ) | const `[inline]`

Search for all occurrences

unsigned int Adjacency | ( | unsigned int | iDirection | ) | const `[inline]`

Search for all occurrences

bool HasAdjacentQuad | ( | unsigned int | iDirection | ) | const `[inline]`

Search for all occurrences

QuadTurtle& Step | ( | unsigned int | iDirection | ) |

Search for all occurrences

QuadTurtle& Up | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 57 of file quadturtle.h.

    { return Step(0); }

QuadTurtle& Left | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 58 of file quadturtle.h.

    { return Step(1); }

QuadTurtle $Down | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 59 of file quadturtle.h.

    { return Step(2); }

QuadTurtle& Right | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 60 of file quadturtle.h.

    { return Step(3); }

QuadTurtle& TurnLeft | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 62 of file quadturtle.h.

    { m_iSide = (m_iSide + 1) % 4; return *this; }

QuadTurtle& TurnRight | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 63 of file quadturtle.h.

    { m_iSide = (m_iSide + 3) % 4; return *this; }

The documentation for this class was generated from the following file:

- Mudbox/quadturtle.h

QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle
QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle QuadTurtle